Bug 638112 - python-zope-filesystem update dependency chain to python 2.6
python-zope-filesystem update dependency chain to python 2.6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-zope-filesystem (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Blocker/F14FinalBlocker
  Show dependency treegraph
 
Reported: 2010-09-28 05:36 EDT by Mads Kiilerich
Modified: 2010-10-11 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-zope-interface-3.6.1-7.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-28 06:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2010-09-28 05:36:12 EDT
python-zope-filesystem was auto-rebuild for fc14 / python 2.7.

It do however depend on alchemist that has been orphaned, so it still depends on alchemist-1.0.37-8.fc12 which depends on python 2.6. That break updates from f13.
Comment 1 Mads Kiilerich 2010-09-28 05:43:59 EDT
Ok, more precisely:
python-zope-filesystem-1-8.fc14 correctly doesn't depend on alchemist, but it has apparently not been pushed to f14.
Comment 2 Robin Lee 2010-09-28 05:45:00 EDT
I do not quite understand what you mean. python-zope-filesystem has also been retired.
Comment 3 Robin Lee 2010-09-28 05:55:55 EDT
The owner of F14 did not actually retire this package. I would inform him to get it done.
Comment 4 Paul Howarth 2010-09-28 06:47:40 EDT
The owner of the package (i.e. me) has just been asked to retire the package, and I have done so.
Comment 5 Mads Kiilerich 2010-09-28 07:07:51 EDT
So python-zope-filesystem will be in the list of orphaned packages in the release notes? Ok.

(I couldn't find that list and checked in pkgdb instead. https://admin.fedoraproject.org/pkgdb/acls/name/python-zope-filesystem now shows the package as orphaned - that would have given me the answer before filing the bug.)
Comment 6 Paul Howarth 2010-09-28 07:23:16 EDT
I think it would make sense actually for python-zope-interface to obsolete/provide it, so that it gets removed from systems that are upgraded to F14.
Comment 7 Fedora Update System 2010-10-04 00:58:05 EDT
python-zope-interface-3.6.1-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-zope-interface-3.6.1-7.fc14
Comment 8 Robin Lee 2010-10-04 00:59:01 EDT
python-zope-interface now obsoletes python-zope-filesystem. Thanks for your advice!

(In reply to comment #6)
> I think it would make sense actually for python-zope-interface to
> obsolete/provide it, so that it gets removed from systems that are upgraded to
> F14.
Comment 9 Fedora Update System 2010-10-11 23:11:36 EDT
python-zope-interface-3.6.1-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.